Page MenuHomePhabricator

[Epic] Move orphan rectifier out of payments
Closed, ResolvedPublic

Description

This doesn't handle PCI cardholder data and should not be running on such valuable equipment.

We'll need to copy some of the fraud config out of payments.

Related Objects

Event Timeline

awight created this task.Mar 30 2016, 6:59 PM
Danny_B moved this task from Unsorted to Move on the Technical-Debt board.May 6 2016, 12:45 AM
awight added a subscriber: DStrine.EditedJun 6 2016, 6:29 PM

@DStrine
Let's be sure to schedule this one. It will make Jeff's work much easier for T130130, if he doesn't have to juggle multiple versions of Redis. Update: payments is upgraded to Jessie. The other motivations remain.

awight moved this task from Backlog to Orphan rectifier on the FR-ActiveMQ board.Jul 15 2016, 9:23 PM

Note that there's some nastiness in running this on the CRM host, namely that we only have PHP 5.3 there.

Change 299686 had a related patch set uploaded (by Awight):
[WIP] Move PendingDatabase into its own class

https://gerrit.wikimedia.org/r/299686

awight added a comment.EditedJul 18 2016, 11:26 PM

So here's the fun question: should the new orphan rectifier be a SmashPig job with a dependency on DonationInterface, or a DI job with a dependency on SP? There's no direct coupling between the two libraries yet.

@cwdent has the answer here: We can run it from within the CRM, since that combination already has a mostly functional shim layer.

Change 299691 had a related patch set uploaded (by Awight):
[WIP] Pending queue supports delete and fetch

https://gerrit.wikimedia.org/r/299691

Change 299686 merged by jenkins-bot:
Move PendingDatabase into its own class

https://gerrit.wikimedia.org/r/299686

Change 299691 merged by jenkins-bot:
Pending database supports delete and fetch

https://gerrit.wikimedia.org/r/299691

Change 299915 had a related patch set uploaded (by Awight):
[WIP] Convert orphan rectifier to use the PendingDatabase

https://gerrit.wikimedia.org/r/299915

Change 300063 had a related patch set uploaded (by Awight):
Change PendingDatabase signatures

https://gerrit.wikimedia.org/r/300063

Change 300073 had a related patch set uploaded (by Awight):
Implement fetch oldest

https://gerrit.wikimedia.org/r/300073

Change 300063 merged by jenkins-bot:
Change PendingDatabase signatures

https://gerrit.wikimedia.org/r/300063

Change 300073 merged by jenkins-bot:
Implement fetch oldest

https://gerrit.wikimedia.org/r/300073

Change 300173 had a related patch set uploaded (by Awight):
[WIP] Convert orphan rectifier to use the PendingDatabase

https://gerrit.wikimedia.org/r/300173

Change 299915 abandoned by Awight:
[WIP] Convert orphan rectifier to use the PendingDatabase

Reason:
Moved to master branch.

https://gerrit.wikimedia.org/r/299915

Change 300463 had a related patch set uploaded (by Awight):
New fetch by primary id plus offset, for incomplete consumption

https://gerrit.wikimedia.org/r/300463

Change 300708 had a related patch set uploaded (by Awight):
[WIP] Orphan rectification for Drush

https://gerrit.wikimedia.org/r/300708

Change 300804 had a related patch set uploaded (by Awight):
[WIP] Some decoupling of GatewayPage from GatewayType

https://gerrit.wikimedia.org/r/300804

Change 300805 had a related patch set uploaded (by Awight):
[WIP] WmfFramework-ization of some MediaWiki assumptions

https://gerrit.wikimedia.org/r/300805

Change 300805 abandoned by Awight:
[WIP] WmfFramework-ization of some MediaWiki assumptions

Reason:
squashed

https://gerrit.wikimedia.org/r/300805

Change 300918 had a related patch set uploaded (by Awight):
WmfFramework-ize some HTTP request functions

https://gerrit.wikimedia.org/r/300918

Change 300933 had a related patch set uploaded (by Awight):
More places where batch jobs shouldn't be pulling from the request

https://gerrit.wikimedia.org/r/300933

awight renamed this task from Move orphan rectifier out of payments to [Epic] Move orphan rectifier out of payments.Jul 27 2016, 5:15 PM
awight claimed this task.
awight moved this task from Backlog to Review on the Fundraising Sprint Nitpicking board.

Change 300933 merged by jenkins-bot:
More places where batch jobs shouldn't be pulling from the request

https://gerrit.wikimedia.org/r/300933

Change 300173 merged by jenkins-bot:
Convert orphan rectifier to use the PendingDatabase

https://gerrit.wikimedia.org/r/300173

Change 300918 merged by jenkins-bot:
WmfFramework-ize some HTTP request functions

https://gerrit.wikimedia.org/r/300918

Change 300804 merged by jenkins-bot:
Some decoupling of GatewayPage from GatewayType

https://gerrit.wikimedia.org/r/300804

awight removed the point value for this task.Aug 17 2016, 10:48 PM

Change 306277 had a related patch set uploaded (by Awight):
Give the orphan gateway its own globals prefix

https://gerrit.wikimedia.org/r/306277

Change 306277 abandoned by Awight:
Give the orphan gateway its own globals prefix

https://gerrit.wikimedia.org/r/306277

Change 300708 merged by jenkins-bot:
Orphan rectification for Drush (SEE NOTES)

https://gerrit.wikimedia.org/r/300708

awight closed this task as Resolved.Sep 20 2016, 9:07 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:44 PM

Change 300463 abandoned by Eileen:
[DO NOT MERGE] New fetch by primary id plus offset, for incomplete consumption

https://gerrit.wikimedia.org/r/300463